- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Classes | Public Types | Public Slots | Signals | Public Member Functions | Protected Member Functions | Properties | Friends

# QWebPage Class Reference

Search for all occurrences

## Detailed Description

Definition at line 65 of file qwebpage.h.

`#include <qwebpage.h>`

Inheritance diagram for QWebPage:
[legend]

List of all members.

## Classes
class | ChooseMultipleFilesExtensionOption
class | ChooseMultipleFilesExtensionReturn
class | ErrorPageExtensionOption
class | ErrorPageExtensionReturn
class | ExtensionOption
class | ExtensionReturn
## Public Types
enum | NavigationType { NavigationTypeLinkClicked, NavigationTypeFormSubmitted, NavigationTypeBackOrForward, NavigationTypeReload, NavigationTypeFormResubmitted, NavigationTypeOther }
enum | WebAction { NoWebAction = - 1, OpenLink, OpenLinkInNewWindow, OpenFrameInNewWindow, DownloadLinkToDisk, CopyLinkToClipboard, OpenImageInNewWindow, DownloadImageToDisk, CopyImageToClipboard, Back, Forward, Stop, Reload, Cut, Copy, Paste, Undo, Redo, MoveToNextChar, MoveToPreviousChar, MoveToNextWord, MoveToPreviousWord, MoveToNextLine, MoveToPreviousLine, MoveToStartOfLine, MoveToEndOfLine, MoveToStartOfBlock, MoveToEndOfBlock, MoveToStartOfDocument, MoveToEndOfDocument, SelectNextChar, SelectPreviousChar, SelectNextWord, SelectPreviousWord, SelectNextLine, SelectPreviousLine, SelectStartOfLine, SelectEndOfLine, SelectStartOfBlock, SelectEndOfBlock, SelectStartOfDocument, SelectEndOfDocument, DeleteStartOfWord, DeleteEndOfWord, SetTextDirectionDefault, SetTextDirectionLeftToRight, SetTextDirectionRightToLeft, ToggleBold, ToggleItalic, ToggleUnderline, InspectElement, InsertParagraphSeparator, InsertLineSeparator, SelectAll, ReloadAndBypassCache, PasteAndMatchStyle, RemoveFormat, ToggleStrikethrough, ToggleSubscript, ToggleSuperscript, InsertUnorderedList, InsertOrderedList, Indent, Outdent, AlignCenter, AlignJustified, AlignLeft, AlignRight, StopScheduledPageRefresh, WebActionCount }
enum | FindFlag { FindBackward = 1, FindCaseSensitively = 2, FindWrapsAroundDocument = 4, HighlightAllOccurrences = 8 }
enum | LinkDelegationPolicy { DontDelegateLinks, DelegateExternalLinks, DelegateAllLinks }
enum | WebWindowType { WebBrowserWindow, WebModalDialog }
enum | Extension { ChooseMultipleFilesExtension, ErrorPageExtension }
enum | ErrorDomain { QtNetwork, Http, WebKit }
## Public Slots
bool | shouldInterruptJavaScript ()
## Signals
void | loadStarted ()
void | loadProgress (int progress)
void | loadFinished (bool ok)
void | linkHovered (const QString &link, const QString &title, const QString &textContent)
void | statusBarMessage (const QString &text)
void | selectionChanged ()
void | frameCreated (QWebFrame *frame)
void | geometryChangeRequested (const QRect &geom)
void | repaintRequested (const QRect &dirtyRect)
void | scrollRequested (int dx, int dy, const QRect &scrollViewRect)
void | windowCloseRequested ()
void | printRequested (QWebFrame *frame)
void | linkClicked (const QUrl &url)
void | toolBarVisibilityChangeRequested (bool visible)
void | statusBarVisibilityChangeRequested (bool visible)
void | menuBarVisibilityChangeRequested (bool visible)
void | unsupportedContent (QNetworkReply *reply)
void | downloadRequested (const QNetworkRequest &request)
void | microFocusChanged ()
void | contentsChanged ()
void | databaseQuotaExceeded (QWebFrame *frame, QString databaseName)
void | saveFrameStateRequested (QWebFrame *frame, QWebHistoryItem *item)
void | restoreFrameStateRequested (QWebFrame *frame)
## Public Member Functions
| QWebPage (QObject *parent=0)
| ~QWebPage ()
QWebFrame * | mainFrame () const
QWebFrame * | currentFrame () const
QWebFrame * | frameAt (const QPoint &pos) const
QWebHistory * | history () const
QWebSettings * | settings () const
void | setView (QWidget *view)
QWidget * | view () const
bool | isModified () const
QUndoStack * | undoStack () const
void | setNetworkAccessManager (QNetworkAccessManager *manager)
QNetworkAccessManager * | networkAccessManager () const
void | setPluginFactory (QWebPluginFactory *factory)
QWebPluginFactory * | pluginFactory () const
quint64 | totalBytes () const
quint64 | bytesReceived () const
QString | selectedText () const
QAction * | action (WebAction action) const
virtual void | triggerAction (WebAction action, bool checked=false)
QSize | viewportSize () const
void | setViewportSize (const QSize &size) const
QSize | preferredContentsSize () const
void | setPreferredContentsSize (const QSize &size) const
virtual bool | event (QEvent *)
bool | focusNextPrevChild (bool next)
QVariant | inputMethodQuery (Qt::InputMethodQuery property) const
bool | findText (const QString &subString, FindFlags options=0)
void | setForwardUnsupportedContent (bool forward)
bool | forwardUnsupportedContent () const
void | setLinkDelegationPolicy (LinkDelegationPolicy policy)
LinkDelegationPolicy | linkDelegationPolicy () const
void | setPalette (const QPalette &palette)
QPalette | palette () const
void | setContentEditable (bool editable)
bool | isContentEditable () const
bool | swallowContextMenuEvent (QContextMenuEvent *event)
void | updatePositionDependentActions (const QPoint &pos)
QMenu * | createStandardContextMenu ()
virtual bool | extension (Extension extension, const ExtensionOption *option=0, ExtensionReturn *output=0)
virtual bool | supportsExtension (Extension extension) const
QWebPagePrivate * | handle () const
## Protected Member Functions
virtual QWebPage * | createWindow (WebWindowType type)
virtual QObject * | createPlugin (const QString &classid, const QUrl &url, const QStringList &paramNames, const QStringList &paramValues)
virtual bool | acceptNavigationRequest (QWebFrame *frame, const QNetworkRequest &request, NavigationType type)
virtual QString | chooseFile (QWebFrame *originatingFrame, const QString &oldFile)
virtual void | javaScriptAlert (QWebFrame *originatingFrame, const QString &msg)
virtual bool | javaScriptConfirm (QWebFrame *originatingFrame, const QString &msg)
virtual bool | javaScriptPrompt (QWebFrame *originatingFrame, const QString &msg, const QString &defaultValue, QString *result)
virtual void | javaScriptConsoleMessage (const QString &message, int lineNumber, const QString &sourceID)
virtual QString | userAgentForUrl (const QUrl &url) const
## Properties
bool | modified
QString | selectedText
QSize | viewportSize
QSize | preferredContentsSize
bool | forwardUnsupportedContent
LinkDelegationPolicy | linkDelegationPolicy
QPalette | palette
bool | contentEditable
## Friends
class | QWebFrame
class | QWebPagePrivate
class | QWebView
class | QWebViewPrivate
class | QGraphicsWebView
class | QGraphicsWebViewPrivate
class | QWebInspector
class | WebCore::ChromeClientQt
class | WebCore::EditorClientQt
class | WebCore::FrameLoaderClientQt
class | WebCore::InspectorClientQt
class | WebCore::InspectorFrontendClientQt
class | WebCore::ResourceHandle
class | WebCore::QNetworkReplyHandler

## Member Enumeration Documentation

enum NavigationType

Search for all occurrences

Enumerator:

  NavigationTypeLinkClicked | Search for all occurrences
  NavigationTypeFormSubmitted | Search for all occurrences
  NavigationTypeBackOrForward | Search for all occurrences
  NavigationTypeReload | Search for all occurrences
  NavigationTypeFormResubmitted | Search for all occurrences
  NavigationTypeOther | Search for all occurrences

Definition at line 78 of file qwebpage.h.

                            {
            NavigationTypeLinkClicked,
            NavigationTypeFormSubmitted,
            NavigationTypeBackOrForward,
            NavigationTypeReload,
            NavigationTypeFormResubmitted,
            NavigationTypeOther
        };

enum WebAction

Search for all occurrences

Enumerator:

  NoWebAction | Search for all occurrences
  OpenLink | Search for all occurrences
  OpenLinkInNewWindow | Search for all occurrences
  OpenFrameInNewWindow | Search for all occurrences
  DownloadLinkToDisk | Search for all occurrences
  CopyLinkToClipboard | Search for all occurrences
  OpenImageInNewWindow | Search for all occurrences
  DownloadImageToDisk | Search for all occurrences
  CopyImageToClipboard | Search for all occurrences
  Back | Search for all occurrences
  Forward | Search for all occurrences
  Stop | Search for all occurrences
  Reload | Search for all occurrences
  Cut | Search for all occurrences
  Copy | Search for all occurrences
  Paste | Search for all occurrences
  Undo | Search for all occurrences
  Redo | Search for all occurrences
  MoveToNextChar | Search for all occurrences
  MoveToPreviousChar | Search for all occurrences
  MoveToNextWord | Search for all occurrences
  MoveToPreviousWord | Search for all occurrences
  MoveToNextLine | Search for all occurrences
  MoveToPreviousLine | Search for all occurrences
  MoveToStartOfLine | Search for all occurrences
  MoveToEndOfLine | Search for all occurrences
  MoveToStartOfBlock | Search for all occurrences
  MoveToEndOfBlock | Search for all occurrences
  MoveToStartOfDocument | Search for all occurrences
  MoveToEndOfDocument | Search for all occurrences
  SelectNextChar | Search for all occurrences
  SelectPreviousChar | Search for all occurrences
  SelectNextWord | Search for all occurrences
  SelectPreviousWord | Search for all occurrences
  SelectNextLine | Search for all occurrences
  SelectPreviousLine | Search for all occurrences
  SelectStartOfLine | Search for all occurrences
  SelectEndOfLine | Search for all occurrences
  SelectStartOfBlock | Search for all occurrences
  SelectEndOfBlock | Search for all occurrences
  SelectStartOfDocument | Search for all occurrences
  SelectEndOfDocument | Search for all occurrences
  DeleteStartOfWord | Search for all occurrences
  DeleteEndOfWord | Search for all occurrences
  SetTextDirectionDefault | Search for all occurrences
  SetTextDirectionLeftToRight | Search for all occurrences
  SetTextDirectionRightToLeft | Search for all occurrences
  ToggleBold | Search for all occurrences
  ToggleItalic | Search for all occurrences
  ToggleUnderline | Search for all occurrences
  InspectElement | Search for all occurrences
  InsertParagraphSeparator | Search for all occurrences
  InsertLineSeparator | Search for all occurrences
  SelectAll | Search for all occurrences
  ReloadAndBypassCache | Search for all occurrences
  PasteAndMatchStyle | Search for all occurrences
  RemoveFormat | Search for all occurrences
  ToggleStrikethrough | Search for all occurrences
  ToggleSubscript | Search for all occurrences
  ToggleSuperscript | Search for all occurrences
  InsertUnorderedList | Search for all occurrences
  InsertOrderedList | Search for all occurrences
  Indent | Search for all occurrences
  Outdent | Search for all occurrences
  AlignCenter | Search for all occurrences
  AlignJustified | Search for all occurrences
  AlignLeft | Search for all occurrences
  AlignRight | Search for all occurrences
  StopScheduledPageRefresh | Search for all occurrences
  WebActionCount | Search for all occurrences

Definition at line 87 of file qwebpage.h.

                       {
            NoWebAction = - 1,

            OpenLink,

            OpenLinkInNewWindow,
            OpenFrameInNewWindow,

            DownloadLinkToDisk,
            CopyLinkToClipboard,

            OpenImageInNewWindow,
            DownloadImageToDisk,
            CopyImageToClipboard,

            Back,
            Forward,
            Stop,
            Reload,

            Cut,
            Copy,
            Paste,

            Undo,
            Redo,
            MoveToNextChar,
            MoveToPreviousChar,
            MoveToNextWord,
            MoveToPreviousWord,
            MoveToNextLine,
            MoveToPreviousLine,
            MoveToStartOfLine,
            MoveToEndOfLine,
            MoveToStartOfBlock,
            MoveToEndOfBlock,
            MoveToStartOfDocument,
            MoveToEndOfDocument,
            SelectNextChar,
            SelectPreviousChar,
            SelectNextWord,
            SelectPreviousWord,
            SelectNextLine,
            SelectPreviousLine,
            SelectStartOfLine,
            SelectEndOfLine,
            SelectStartOfBlock,
            SelectEndOfBlock,
            SelectStartOfDocument,
            SelectEndOfDocument,
            DeleteStartOfWord,
            DeleteEndOfWord,

            SetTextDirectionDefault,
            SetTextDirectionLeftToRight,
            SetTextDirectionRightToLeft,

            ToggleBold,
            ToggleItalic,
            ToggleUnderline,

            InspectElement,

            InsertParagraphSeparator,
            InsertLineSeparator,

            SelectAll,
            ReloadAndBypassCache,

            PasteAndMatchStyle,
            RemoveFormat,

            ToggleStrikethrough,
            ToggleSubscript,
            ToggleSuperscript,
            InsertUnorderedList,
            InsertOrderedList,
            Indent,
            Outdent,

            AlignCenter,
            AlignJustified,
            AlignLeft,
            AlignRight,

            StopScheduledPageRefresh,

            WebActionCount
        };

enum FindFlag

Search for all occurrences

Enumerator:

  FindBackward | Search for all occurrences
  FindCaseSensitively | Search for all occurrences
  FindWrapsAroundDocument | Search for all occurrences
  HighlightAllOccurrences | Search for all occurrences

Definition at line 177 of file qwebpage.h.

                      {
            FindBackward = 1,
            FindCaseSensitively = 2,
            FindWrapsAroundDocument = 4,
            HighlightAllOccurrences = 8
        };

enum LinkDelegationPolicy

Search for all occurrences

Enumerator:

  DontDelegateLinks | Search for all occurrences
  DelegateExternalLinks | Search for all occurrences
  DelegateAllLinks | Search for all occurrences

Definition at line 185 of file qwebpage.h.

                                  {
            DontDelegateLinks,
            DelegateExternalLinks,
            DelegateAllLinks
        };

enum WebWindowType

Search for all occurrences

Enumerator:

  WebBrowserWindow | Search for all occurrences
  WebModalDialog | Search for all occurrences

Definition at line 191 of file qwebpage.h.

                           {
            WebBrowserWindow,
            WebModalDialog
        };

enum Extension

Search for all occurrences

Enumerator:

  ChooseMultipleFilesExtension | Search for all occurrences
  ErrorPageExtension | Search for all occurrences

Definition at line 262 of file qwebpage.h.

                       {
            ChooseMultipleFilesExtension,
            ErrorPageExtension
        };

enum ErrorDomain

Search for all occurrences

Enumerator:

  QtNetwork | Search for all occurrences
  Http | Search for all occurrences
  WebKit | Search for all occurrences

Definition at line 282 of file qwebpage.h.

    { QtNetwork, Http, WebKit };

## Constructor & Destructor Documentation

QWebPage | ( | QObject * | parent = `0` | ) | `[explicit]`

~QWebPage | ( |  | ) |

## Member Function Documentation

QWebFrame* mainFrame | ( |  | ) | const

Search for all occurrences

QWebFrame* currentFrame | ( |  | ) | const

Search for all occurrences

QWebFrame* frameAt | ( | const QPoint & | pos | ) | const

Search for all occurrences

QWebHistory* history | ( |  | ) | const

Search for all occurrences

QWebSettings* settings | ( |  | ) | const

Search for all occurrences

void setView | ( | QWidget * | view | ) |

Search for all occurrences

QWidget* view | ( |  | ) | const

Search for all occurrences

bool isModified | ( |  | ) | const

Search for all occurrences

QUndoStack* undoStack | ( |  | ) | const

Search for all occurrences

void setNetworkAccessManager | ( | QNetworkAccessManager * | manager | ) |

Search for all occurrences

QNetworkAccessManager* networkAccessManager | ( |  | ) | const

Search for all occurrences

void setPluginFactory | ( | QWebPluginFactory * | factory | ) |

Search for all occurrences

QWebPluginFactory* pluginFactory | ( |  | ) | const

Search for all occurrences

quint64 totalBytes | ( |  | ) | const

Search for all occurrences

quint64 bytesReceived | ( |  | ) | const

Search for all occurrences

QString selectedText | ( |  | ) | const

Search for all occurrences

QAction* action | ( | WebAction | action | ) | const

Search for all occurrences

virtual void triggerAction | ( | WebAction | action,
|  | bool | checked = `false`
| ) |  | `[virtual]`

Search for all occurrences

QSize viewportSize | ( |  | ) | const

Search for all occurrences

void setViewportSize | ( | const QSize & | size | ) | const

Search for all occurrences

QSize preferredContentsSize | ( |  | ) | const

Search for all occurrences

void setPreferredContentsSize | ( | const QSize & | size | ) | const

Search for all occurrences

virtual bool event | ( | QEvent * |  | ) | `[virtual]`

Search for all occurrences

Reimplemented from QObject.

bool focusNextPrevChild | ( | bool | next | ) |

Search for all occurrences

QVariant inputMethodQuery | ( | Qt::InputMethodQuery | property | ) | const

Search for all occurrences

bool findText | ( | const QString & | subString,
|  | FindFlags | options = `0`
| ) |  |

Search for all occurrences

void setForwardUnsupportedContent | ( | bool | forward | ) |

Search for all occurrences

bool forwardUnsupportedContent | ( |  | ) | const

Search for all occurrences

void setLinkDelegationPolicy | ( | LinkDelegationPolicy | policy | ) |

Search for all occurrences

LinkDelegationPolicy linkDelegationPolicy | ( |  | ) | const

Search for all occurrences

void setPalette | ( | const QPalette & | palette | ) |

Search for all occurrences

QPalette palette | ( |  | ) | const

Search for all occurrences

void setContentEditable | ( | bool | editable | ) |

Search for all occurrences

bool isContentEditable | ( |  | ) | const

Search for all occurrences

bool swallowContextMenuEvent | ( | QContextMenuEvent * | event | ) |

Search for all occurrences

void updatePositionDependentActions | ( | const QPoint & | pos | ) |

Search for all occurrences

QMenu* createStandardContextMenu | ( |  | ) |

Search for all occurrences

virtual bool extension | ( | Extension | extension,
|  | const ExtensionOption * | option = `0`,
|  | ExtensionReturn * | output = `0`
| ) |  | `[virtual]`

Search for all occurrences

virtual bool supportsExtension | ( | Extension | extension | ) | const `[virtual]`

Search for all occurrences

QWebPagePrivate* handle | ( |  | ) | const `[inline]`

Search for all occurrences

Definition at line 305 of file qwebpage.h.

    { return d; }

bool shouldInterruptJavaScript | ( |  | ) | `[slot]`

Search for all occurrences

void loadStarted | ( |  | ) | `[signal]`

Search for all occurrences

void loadProgress | ( | int | progress | ) | `[signal]`

Search for all occurrences

void loadFinished | ( | bool | ok | ) | `[signal]`

Search for all occurrences

void linkHovered | ( | const QString & | link,
|  | const QString & | title,
|  | const QString & | textContent
| ) |  | `[signal]`

Search for all occurrences

void statusBarMessage | ( | const QString & | text | ) | `[signal]`

Search for all occurrences

void selectionChanged | ( |  | ) | `[signal]`

Search for all occurrences

void frameCreated | ( | QWebFrame * | frame | ) | `[signal]`

Search for all occurrences

void geometryChangeRequested | ( | const QRect & | geom | ) | `[signal]`

Search for all occurrences

void repaintRequested | ( | const QRect & | dirtyRect | ) | `[signal]`

Search for all occurrences

void scrollRequested | ( | int | dx,
|  | int | dy,
|  | const QRect & | scrollViewRect
| ) |  | `[signal]`

Search for all occurrences

void windowCloseRequested | ( |  | ) | `[signal]`

Search for all occurrences

void printRequested | ( | QWebFrame * | frame | ) | `[signal]`

Search for all occurrences

void linkClicked | ( | const QUrl & | url | ) | `[signal]`

Search for all occurrences

void toolBarVisibilityChangeRequested | ( | bool | visible | ) | `[signal]`

Search for all occurrences

void statusBarVisibilityChangeRequested | ( | bool | visible | ) | `[signal]`

Search for all occurrences

void menuBarVisibilityChangeRequested | ( | bool | visible | ) | `[signal]`

Search for all occurrences

void unsupportedContent | ( | QNetworkReply * | reply | ) | `[signal]`

Search for all occurrences

void downloadRequested | ( | const QNetworkRequest & | request | ) | `[signal]`

Search for all occurrences

void microFocusChanged | ( |  | ) | `[signal]`

Search for all occurrences

void contentsChanged | ( |  | ) | `[signal]`

Search for all occurrences

void databaseQuotaExceeded | ( | QWebFrame * | frame,
|  | QString | databaseName
| ) |  | `[signal]`

Search for all occurrences

void saveFrameStateRequested | ( | QWebFrame * | frame,
|  | QWebHistoryItem * | item
| ) |  | `[signal]`

Search for all occurrences

void restoreFrameStateRequested | ( | QWebFrame * | frame | ) | `[signal]`

Search for all occurrences

virtual QWebPage* createWindow | ( | WebWindowType | type | ) | `[protected, virtual]`

Search for all occurrences

virtual QObject* createPlugin | ( | const QString & | classid,
|  | const QUrl & | url,
|  | const QStringList & | paramNames,
|  | const QStringList & | paramValues
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual bool acceptNavigationRequest | ( | QWebFrame * | frame,
|  | const QNetworkRequest & | request,
|  | NavigationType | type
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual QString chooseFile | ( | QWebFrame * | originatingFrame,
|  | const QString & | oldFile
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void javaScriptAlert | ( | QWebFrame * | originatingFrame,
|  | const QString & | msg
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual bool javaScriptConfirm | ( | QWebFrame * | originatingFrame,
|  | const QString & | msg
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual bool javaScriptPrompt | ( | QWebFrame * | originatingFrame,
|  | const QString & | msg,
|  | const QString & | defaultValue,
|  | QString * | result
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual void javaScriptConsoleMessage | ( | const QString & | message,
|  | int | lineNumber,
|  | const QString & | sourceID
| ) |  | `[protected, virtual]`

Search for all occurrences

virtual QString userAgentForUrl | ( | const QUrl & | url | ) | const `[protected, virtual]`

Search for all occurrences

## Friends And Related Function Documentation

friend class QWebFrame `[friend]`

Search for all occurrences

Definition at line 362 of file qwebpage.h.

friend class QWebPagePrivate `[friend]`

Search for all occurrences

Definition at line 363 of file qwebpage.h.

friend class QWebView `[friend]`

Search for all occurrences

Definition at line 364 of file qwebpage.h.

friend class QWebViewPrivate `[friend]`

Search for all occurrences

Definition at line 365 of file qwebpage.h.

friend class QGraphicsWebView `[friend]`

Search for all occurrences

Definition at line 366 of file qwebpage.h.

friend class QGraphicsWebViewPrivate `[friend]`

Search for all occurrences

Definition at line 367 of file qwebpage.h.

friend class QWebInspector `[friend]`

Search for all occurrences

Definition at line 368 of file qwebpage.h.

friend class WebCore::ChromeClientQt `[friend]`

Search for all occurrences

Definition at line 369 of file qwebpage.h.

friend class WebCore::EditorClientQt `[friend]`

Search for all occurrences

Definition at line 370 of file qwebpage.h.

friend class WebCore::FrameLoaderClientQt `[friend]`

Search for all occurrences

Definition at line 371 of file qwebpage.h.

friend class WebCore::InspectorClientQt `[friend]`

Search for all occurrences

Definition at line 372 of file qwebpage.h.

friend class WebCore::InspectorFrontendClientQt `[friend]`

Search for all occurrences

Definition at line 373 of file qwebpage.h.

friend class WebCore::ResourceHandle `[friend]`

Search for all occurrences

Definition at line 374 of file qwebpage.h.

friend class WebCore::QNetworkReplyHandler `[friend]`

Search for all occurrences

Definition at line 375 of file qwebpage.h.

## Property Documentation

bool modified `[read]`

Search for all occurrences

Definition at line 68 of file qwebpage.h.

QString selectedText `[read]`

Search for all occurrences

Definition at line 69 of file qwebpage.h.

QSize viewportSize `[read, write]`

Search for all occurrences

Definition at line 70 of file qwebpage.h.

QSize preferredContentsSize `[read, write]`

Search for all occurrences

Definition at line 71 of file qwebpage.h.

bool forwardUnsupportedContent `[read, write]`

Search for all occurrences

Definition at line 72 of file qwebpage.h.

LinkDelegationPolicy linkDelegationPolicy `[read, write]`

Search for all occurrences

Definition at line 73 of file qwebpage.h.

QPalette palette `[read, write]`

Search for all occurrences

Definition at line 74 of file qwebpage.h.

bool contentEditable `[read, write]`

Search for all occurrences

Definition at line 75 of file qwebpage.h.

The documentation for this class was generated from the following file:

- QtWebKit/qwebpage.h

QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage
QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage QWebPage